package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 默认问询语句
 * @TableName vp_ask_default_question
 */
@TableName(value ="vp_ask_default_question")
@Data
public class AskDefaultQuestion implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 问询意图ID
     */
    private String defaultIntentId;

    /**
     * 问题
     */
    private String question;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}