package com.supervision.service.impl;

import com.supervision.model.Process;
import com.supervision.model.User;
import com.supervision.service.AskProcessService;
import com.supervision.service.ProcessService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

@Service
@RequiredArgsConstructor
public class AskProcessServiceImpl implements AskProcessService {

    private final ProcessService processService;

    @Override
    public Process creatDiagnosisProcess(String patientId, User user) {
        Process process = new Process();
        process.setPatientId(patientId);
        process.setUserId(user.getId());
        process.setStatus(0);
        process.setCreateUserId(user.getId());
        process.setUpdateUserId(user.getId());
        processService.save(process);
        return process;
    }
}
